> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List calculations a model builder can use

> Calculation types with their option schemas; data-driven ones are excluded.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /model_builders/calculations
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /model_builders/calculations:
    get:
      tags:
        - Model builders
      summary: List calculations a model builder can use
      description: >-
        Calculation types with their option schemas; data-driven ones are
        excluded.
      operationId: list_builder_calculations_model_builders_calculations_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CalculationType'
                type: array
                title: >-
                  Response List Builder Calculations Model Builders Calculations
                  Get
components:
  schemas:
    CalculationType:
      properties:
        type:
          type: string
          title: Type
        summary:
          type: string
          title: Summary
        schema:
          additionalProperties: true
          type: object
          title: Schema
          description: Options JSON schema.
      type: object
      required:
        - type
        - summary
        - schema
      title: CalculationType
      description: A calculation a builder may use.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.